%global pypi_name looseversion

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 3
Summary:        Version numbering for anarchists and software realists
License:        PSF-2.0
Group:          Development/Python
URL:            https://pypi.org/pypi/looseversion
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A backwards/forwards-compatible fork of distutils.version.LooseVersion, for
times when PEP-440 isnt what you need.

The goal of this package is to be a drop-in replacement for the original
LooseVersion. It implements an identical interface and comparison logic to
LooseVersion. The only major change is that a looseversion.LooseVersion is
comparable to a distutils.version.LooseVersion, which means tools should not
need to worry whether all dependencies that use LooseVersion have migrated.

If you are simply comparing versions of Python packages, consider moving to
packaging.version.Version, which follows PEP-440. LooseVersion is better suited
to interacting with heterogeneous version schemes that do not follow PEP-440.

%package -n python3-looseversion
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-looseversion
A backwards/forwards-compatible fork of distutils.version.LooseVersion, for
times when PEP-440 isnt what you need.

The goal of this package is to be a drop-in replacement for the original
LooseVersion. It implements an identical interface and comparison logic to
LooseVersion. The only major change is that a looseversion.LooseVersion is
comparable to a distutils.version.LooseVersion, which means tools should not
need to worry whether all dependencies that use LooseVersion have migrated.

If you are simply comparing versions of Python packages, consider moving to
packaging.version.Version, which follows PEP-440. LooseVersion is better suited
to interacting with heterogeneous version schemes that do not follow PEP-440.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v tests.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGES.md


%changelog
* Sat Mar 01 2025 wally <wally> 1.3.0-3.mga10
+ Revision: 2155230
- rebuild for python3.13

* Thu Dec 28 2023 tv <tv> 1.3.0-2.mga10
+ Revision: 2023226
- Rebuild for python-3.12

* Wed Sep 06 2023 wally <wally> 1.3.0-1.mga10
+ Revision: 1984776
- import based on .spec from Fedora

